version: "3"

networks:
  gitea:
    external: false

services:
  # db:
  #   image: postgres
  #   container_name: gitea_db

  server:
    image: gitea/gitea
    container_name: gitea
    environment:
      - USER_UID=1000
      - USER_GID=1000
      - GITEA__database__DB_TYPE=postgres
      - GITEA__database__HOST=192.168.0.101:5432
      - GITEA__database__NAME=gitea
      - GITEA__database__USER=gitea
      - GITEA__database__PASSWD=mhIjXjG238w8TtpuB9ny
    restart: always
    networks:
      - gitea
    volumes:
      - /mnt/Teka2/gitea-data:/data
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    ports:
      - "3005:3005"